Chart-1.9.4: A library for generating 2D Charts and Plots

Safe Haskell | Safe-Inferred
Language | Haskell98

Graphics.Rendering.Chart.Utils

Description

Non chart specific utility functions.

Synopsis

- isValidNumber :: RealFloat a => a -> Bool
- maybeM :: Monad m => b -> (a -> m b) -> Maybe a -> m b

# Documentation

isValidNumber :: RealFloat a => a -> Bool Source #

Checks if the given value is and actual numeric value and not a concept like NaN or infinity.

maybeM :: Monad m => b -> (a -> m b) -> Maybe a -> m b Source #

Version of `maybe` that returns a monadic value.